mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.Object System.Runtime.Serialization.ISerializable

The compressed stack is a compact representation of all the code access security information on the call stack, such as and actions. For example, if a action is two stack frames up from the current frame and there are no other code access security annotations between there and the current frame, the compressed stack records only that information, without having to serialize the entire call stack.

The class is used internally by the class. For example, the method captures the compressed stack for the current call stack, along with impersonation and culture information. The class is used in turn by the class to flow context across threads, for example when scheduling thread pool tasks.

This class is not used in ordinary application programming.

Provides methods for setting and capturing the compressed stack on the current thread. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.Threading.CompressedStack

  Captures all the code access security information on the call stack, such as and actions, in a compressed format. For example, if a action is two stack frames up from the current frame and there are no other code access security annotations between there and the current frame, the compressed stack records only that information, without having to serialize the entire call stack.

  The captured compressed stack can be applied to another thread.

  Captures the compressed stack from the current thread.

  A object.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Threading.CompressedStack

  This method is useful for creating a copy of the current compressed stack to apply to another thread.

  Creates a copy of the current compressed stack.

  A object representing the current compressed stack.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityCritical
  System.Threading.CompressedStack

  If security is enabled, the current compressed stack is returned. If security is disabled, returns an empty object.

  This method uses to prevent it from being called from untrusted code; only the immediate caller is required to have permission. For important limitations on using the LinkDemand member, see Demand vs. LinkDemand.

  This member also makes a link demand for the ECMA public key, which is not a valid cryptographic key but a pseudo key. Within the .NET Framework the link demand for the ECMA pseudo key is automatically converted to a link demand for the Microsoft public key. The security exception is based on the Microsoft public key, not the ECMA pseudo key.

  Gets the compressed stack for the current thread.

  A for the current thread.

  2.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityCritical
  System.Void `` ``

  sets a with the logical call context information. During deserialization, the execution context object is reconstituted from the transmitted over the stream.

  For more information, see .

  Sets the object with the logical context information needed to recreate an instance of this execution context.

  The object to be populated with serialization information. The structure representing the destination context of the serialization.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityCritical
  System.Void `` `` ``

  The compressed stack is returned to its previous state when the method completes.

  Runs a method in the specified compressed stack on the current thread.

  The to set. A that represents the method to be run in the specified security context. The object to be passed to the callback method.